import { LANGUAGES_T } from 'src/constants/languages';

import { ColabStatus } from '../types';

export const RECOMMENDATION_QUESTION_TITLES = LANGUAGES_T.map(t =>
  t('reports.recomendation_question', { ns: 'learning' }),
);

export const CONTENT_RATING_QUESTION_TITLES = LANGUAGES_T.map(t =>
  t('reports.content_rating_question', { ns: 'learning' }),
);

export const CHOICE_YES_TITLES = LANGUAGES_T.map(t => t('general:yes'));

export const RESET_PROGRESS_STATUSES = [
  ColabStatus.IN_PROGRESS,
  ColabStatus.FINISHED,
  ColabStatus.PENDING_SIGNATURE,
];

export const FORCE_COMPLETION_STATUSES = [
  ColabStatus.IN_PROGRESS,
  ColabStatus.PENDING,
  ColabStatus.PENDING_SIGNATURE,
];
